SKB_APPEND(9)

NAME
skb_append - append a buffer

SYNOPSIS

void skb_append (struct sk_buff * old, struct sk_buff * newsk, struct sk_buff_head * list);

ARGUMENTS

old buffer to insert after

newsk
    buffer to insert

list
    list to use

DESCRIPTION

Place a packet after a given packet in a list. The list locks are taken and this function is atomic with respect to other list locked calls. A buffer cannot be placed on two lists at the same time.